/*ScianVisObjects.h
  May 28, 1991
  Eric Pepke
  Public stuff for vis objects
*/

extern ObjPtr isoClass, traceClass, visWindowClass, visGeometryClass;
extern ObjPtr visSurface, visColored, visDeformed;
extern WinInfoPtr winForRGB;
extern ObjPtr visClass;
extern ObjPtr visIcon;
extern ObjPtr objectForRGB;

#ifdef PROTO
void InitVisObjects(void);
void KillVisObjects(void);
Bool GetBounds(ObjPtr, real bounds[6]);
ObjPtr ChangedControlIcon(ObjPtr);
void ChooseRGBTask(void);
void PrefixDatasets(ObjPtr, ObjPtr);
void DefineVisMapping(long, int, int, int, ObjPtr);
ObjPtr NewVis(ObjPtr, ObjPtr);
ObjPtr NewVisIcon(ObjPtr);
ObjPtr GetAllVis(ObjPtr, Bool);
ObjPtr GetPrefVis(ObjPtr);
void ObjectRGB(WinInfoPtr);
ObjPtr ChangeShowPalette(ObjPtr);
ObjPtr ChangeShowControls(ObjPtr);
ObjPtr DropInMainDatasetCorral(ObjPtr, ObjPtr, int, int);
ObjPtr EnterRealNumber(ObjPtr);
#else
void InitVisObjects();
void KillVisObjects();
Bool GetBounds();
ObjPtr ChangedControlIcon();
void ChooseRGBTask(void);
void PrefixDatasets();
void DefineVisMapping();
ObjPtr VisualizeObjectAs();
ObjPtr NewVisIcon();
ObjPtr GetAllVis();
ObjPtr GetPrefVis();
void ObjectRGB();
ObjPtr ChangeShowPalette();
ObjPtr ChangeShowControls();
ObjPtr DropInMainDatasetCorral();
ObjPtr EnterRealNumber();
#endif
